Skip to main content
GET
/
users
/
{user_id}
/
activities
List activities
curl --request GET \
  --url https://production.api.onvy.health/users/{user_id}/activities \
  --header 'X-API-Key: <api-key>'
{
  "activities": [
    {
      "project_id": "<string>",
      "user_id": "<string>",
      "type": "workout",
      "start_datetime": "2023-11-07T05:31:56Z",
      "end_datetime": "2023-11-07T05:31:56Z",
      "data_source": "<string>",
      "duration_seconds": 1,
      "type_name": "<string>",
      "tss": 123,
      "id": "<string>",
      "used_ftp": 123,
      "guessed_ftp": 123,
      "is_breakthrough_ftp": true,
      "zone_power": "<string>",
      "normalized_power": 123,
      "variability_index": 123,
      "intensity_factor": 123,
      "tss_power": 123,
      "average_hr": 123,
      "average_power": 123,
      "zone_hr": "<string>",
      "used_lthr": 123,
      "guessed_lthr": 123,
      "guessed_mhr": 123,
      "is_breakthrough_lthr": true,
      "tss_hr": 123,
      "peak_duration_hr": 123,
      "cardio_duration_hr": 123,
      "fatburn_duration_hr": 123,
      "light_duration_hr": 123,
      "hr_series": "<string>",
      "hr_series_sampling_rate": "<string>",
      "peak_threshold_hr": 123,
      "cardio_threshold_hr": 123,
      "fatburn_threshold_hr": 123,
      "calories": 123,
      "max_hr": 123,
      "hr_zone_durations_seconds": [
        123
      ],
      "hr_zone_thresholds": [
        123
      ],
      "power_zone_durations_seconds": [
        123
      ],
      "power_zone_thresholds": [
        123
      ],
      "activity_score_before": 123,
      "activity_score_after": 123,
      "group_id": 123,
      "selected": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "limit": 500,
    "total": 1,
    "page": "<string>",
    "next_page": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

user_id
string
required

User ID (e.g., google_104940819145861640201)

Query Parameters

page
string

Page Key for pagination

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000
type
enum<string>

Filter by activity type

Available options:
workout,
mindfulness
start_date
string<date>

Start date for filtering (YYYY-MM-DD)

end_date
string<date>

End date for filtering (YYYY-MM-DD)

Response

List of activities

activities
(WorkoutActivity · object | MindfulnessActivity · object)[]
required

List of activities

pagination
Pagination · object
required

Pagination information